package cn.com.qmth.dp.examcloud.oe.modules.findreduplicatequestion;

import cn.com.qmth.dp.examcloud.oe.excel.ExcelProperty;

public class RetDto {
	@ExcelProperty(name = "重复分组", width = 15, index = 0)
	private Integer group;
	@ExcelProperty(name = "课程代码", width = 15, index = 1)
	private String courseCode;
	@ExcelProperty(name = "课程名称", width = 15, index = 2)
	private String courseName;
	@ExcelProperty(name = "试卷名称", width = 15, index = 3)
	private String paperName;
	@ExcelProperty(name = "题型", width = 15, index = 4)
	private String type;
	@ExcelProperty(name = "大题号", width = 15, index = 5)
	private Integer detailNum;
	@ExcelProperty(name = "小题号", width = 15, index = 6)
	private Integer unitNum;

	@ExcelProperty(name = "unit_id", width = 15, index = 7)
	private String unitId;

	@ExcelProperty(name = "question_id", width = 15, index = 8)
	private String questionId;

	@ExcelProperty(name = "是否有效", width = 15, index = 9)
	private String valid;

	public Integer getGroup() {
		return group;
	}

	public void setGroup(Integer group) {
		this.group = group;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getPaperName() {
		return paperName;
	}

	public void setPaperName(String paperName) {
		this.paperName = paperName;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Integer getDetailNum() {
		return detailNum;
	}

	public void setDetailNum(Integer detailNum) {
		this.detailNum = detailNum;
	}

	public Integer getUnitNum() {
		return unitNum;
	}

	public void setUnitNum(Integer unitNum) {
		this.unitNum = unitNum;
	}

	public RetDto(Integer group, String courseCode, String courseName, String type, String questionId) {
		super();
		this.group = group;
		this.courseCode = courseCode;
		this.courseName = courseName;
		this.type = type;
		this.questionId = questionId;
	}

	public RetDto(Integer group, String courseCode, String courseName, String paperName, String type, Integer detailNum,
			Integer unitNum) {
		super();
		this.group = group;
		this.courseCode = courseCode;
		this.courseName = courseName;
		this.paperName = paperName;
		this.type = type;
		this.detailNum = detailNum;
		this.unitNum = unitNum;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	public String getValid() {
		return valid;
	}

	public void setValid(String valid) {
		this.valid = valid;
	}

}
