SELECT
	t1.identity_number,
	t2.id AS exam_record_data_id,
	t4.`code` 
FROM
	ec_oe_exam_record t1
	LEFT JOIN ec_oe_exam_record_data t2 ON t1.id = t2.exam_record_id
	LEFT JOIN ec_b_course t4 ON t4.id = t1.course_id 
WHERE
	(( t2.is_warn = 0 ) OR ( t2.is_warn = 1 AND t2.is_audit = 1 ) ) 
	AND t2.exam_record_status != 'EXAM_INVALID' 
	AND t1.exam_id = ? 
	AND t4.`code` = ?
	AND t1.identity_number = ?