package cn.com.qmth.dp.examcloud.oe.modules.update_correct_answer.entity;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @Description 考试记录实体
 * @Author lideyin
 * @Date 2020/4/25 13:23
 * @Version 1.0
 */
public class ExamRecordDataEntity implements Serializable {

    /**
     * 主键
     */
    private Long id;

    /**
     * 考试作答记录id
     */
    private String examRecordQuestionsId;

    /**
     * 考生id
     */
    private Long examStudentId;

    /**
     * 课程id
     */
    private Long courseId;

    /**
     * 是否异常数据
     */
    private Boolean isWarn;
    /**
     * 是否被审核过
     */
    private Boolean isAudit;
    /**
     * 是否违纪
     */
    private Boolean isIllegality;

    /**
     * 试卷结构id
     */
    private String paperStructId;

    /**
     * 试卷类型
     */
    private String paperType;

    /**
     * 试卷id
     */
    private String basePaperId;

    public Boolean getWarn() {
        return isWarn;
    }

    public void setWarn(Boolean warn) {
        isWarn = warn;
    }

    public Boolean getAudit() {
        return isAudit;
    }

    public void setAudit(Boolean audit) {
        isAudit = audit;
    }

    public Boolean getIllegality() {
        return isIllegality;
    }

    public void setIllegality(Boolean illegality) {
        isIllegality = illegality;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExamRecordQuestionsId() {
        return examRecordQuestionsId;
    }

    public void setExamRecordQuestionsId(String examRecordQuestionsId) {
        this.examRecordQuestionsId = examRecordQuestionsId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public String getPaperStructId() {
        return paperStructId;
    }

    public void setPaperStructId(String paperStructId) {
        this.paperStructId = paperStructId;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }
}
