package cn.com.qmth.dp.examcloud.oe.modules.update_question_score.entity;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 获取试卷结构
 * @Author lideyin
 * @Date 2020/5/25 15:56
 * @Version 1.0
 */
public class OuterGetPaperStructReq extends EnterpriseRequest {

    private static final long serialVersionUID = -8374755306658040184L;

    @ApiModelProperty(value = "考试id", example = "123", required = true)
    private Long examId;

    @ApiModelProperty(value = "课程code", example = "123", required = true)
    private String courseCode;

    @ApiModelProperty(value = "卷型", example = "123", required = true)
    private String paperType;

    @ApiModelProperty(value = "原始试卷id", example = "123", required = true)
    private String basePaperId;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }
}
