SELECT
	t1.identity_number,
	t2.id AS exam_record_data_id,
	t3.total_score as score,
	t4.`code` 
FROM
	ec_oe_exam_record t1
	LEFT JOIN ec_oe_exam_record_data t2 ON t1.id = t2.exam_record_id
	LEFT JOIN ec_oe_exam_score t3 ON t3.exam_record_data_id = t2.id
	LEFT JOIN ec_b_course t4 ON t4.id = t1.course_id 
	LEFT JOIN ec_m_student_paper t5 ON t5.exam_record_data_id = t2.id
WHERE
	t5.id is not null
	AND t5.student_paper_status != 0 	
	AND t1.exam_id = ? 
	AND t4.`code` = ?