package cn.com.qmth.dp.examcloud.oe.modules.update_correct_answer.entity;

import java.io.Serializable;

/**
 * 考生作答明细
 */
public class ExamQuestionEntity implements Serializable{

    /**
	 * 
	 */
	private static final long serialVersionUID = -6141069483774400912L;
	
	private String id;
	/**
	 * 考试记录Data Id
	 */
    private Long examRecordDataId;
    /**
     * 大题号
     */
    private Integer mainNumber;
    /**
     * 原题ID
     */
    private String questionId;
    /**
     * 顺序
     */
    private Integer order;
    /**
     * 小题分数
     */
    private Double questionScore;
    /**
     * 小题类型
     */
    private String questionType;
    /**
     * 标准答案
     */
    private String correctAnswer;
    /**
     * 考生作答
     */
    private String studentAnswer;
    /**
     * 学生小题得分
     */
    private Double studentScore;
    /**
     * 是否作答
     */
    private Boolean isAnswer;
    /**
     * 是否标记
     */
    private Boolean isSign;
    
    /**
	 * 选项排序值
	 */
	private Integer[] optionPermutation;
	
	/**
	 * 音频播放次数
	 */
	private String audioPlayTimes;
	/**
	 * 题目作答类型
	 */
	private String answerType;
    
	public ExamQuestionEntity() {}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public Double getQuestionScore() {
		return questionScore;
	}

	public void setQuestionScore(Double questionScore) {
		this.questionScore = questionScore;
	}

	public String getQuestionType() {
		return questionType;
	}

	public void setQuestionType(String questionType) {
		this.questionType = questionType;
	}

	public String getCorrectAnswer() {
		return correctAnswer;
	}

	public void setCorrectAnswer(String correctAnswer) {
		this.correctAnswer = correctAnswer;
	}

	public String getStudentAnswer() {
		return studentAnswer;
	}

	public void setStudentAnswer(String studentAnswer) {
		this.studentAnswer = studentAnswer;
	}

	public Double getStudentScore() {
		return studentScore;
	}

	public void setStudentScore(Double studentScore) {
		this.studentScore = studentScore;
	}

	public Boolean getAnswer() {
		return isAnswer;
	}

	public void setAnswer(Boolean answer) {
		isAnswer = answer;
	}

	public Boolean getSign() {
		return isSign;
	}

	public void setSign(Boolean sign) {
		isSign = sign;
	}

	public Integer[] getOptionPermutation() {
		return optionPermutation;
	}

	public void setOptionPermutation(Integer[] optionPermutation) {
		this.optionPermutation = optionPermutation;
	}

	public String getAudioPlayTimes() {
		return audioPlayTimes;
	}

	public void setAudioPlayTimes(String audioPlayTimes) {
		this.audioPlayTimes = audioPlayTimes;
	}

	public String getAnswerType() {
		return answerType;
	}

	public void setAnswerType(String answerType) {
		this.answerType = answerType;
	}
}
