package cn.com.qmth.dp.examcloud.oe.modules.update_correct_answer.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description 考生作答集合
 * @Author lideyin
 * @Date 2020/4/25 14:14
 * @Version 1.0
 */
public class ExamRecordQuestionsEntity implements Serializable {
    private static final long serialVersionUID = -1688201571728312142L;

    private String id;

    private Long examRecordDataId;

    private Date creationTime;

    private List<ExamQuestionEntity> examQuestionEntities;
    
    /**
	 * 题目作答类型
	 */
	private String answerType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public List<ExamQuestionEntity> getExamQuestionEntities() {
        return examQuestionEntities;
    }

    public void setExamQuestionEntities(List<ExamQuestionEntity> examQuestionEntities) {
        this.examQuestionEntities = examQuestionEntities;
    }

    public String getAnswerType() {
        return answerType;
    }

    public void setAnswerType(String answerType) {
        this.answerType = answerType;
    }
}