package cn.com.qmth.dp.examcloud.oe.modules.update_question_score.entity;

import java.io.Serializable;
import java.util.List;

/**
 * 试卷结构
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultPaperBean implements Serializable {

	private static final long serialVersionUID = -5979287118960427883L;

	/**
	 * 试卷名称
	 */
	private String name;

	/**
	 * 是否全是客观题
	 */
	private Boolean fullyObjective;

	/**
	 * 分组集合
	 */
	private List<DefaultQuestionGroupBean> questionGroupList;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Boolean getFullyObjective() {
		return fullyObjective;
	}

	public void setFullyObjective(Boolean fullyObjective) {
		this.fullyObjective = fullyObjective;
	}

	public List<DefaultQuestionGroupBean> getQuestionGroupList() {
		return questionGroupList;
	}

	public void setQuestionGroupList(List<DefaultQuestionGroupBean> questionGroupList) {
		this.questionGroupList = questionGroupList;
	}

}
