package cn.com.qmth.dp.examcloud.oe.modules.update_question_score.entity;

import java.io.Serializable;
import java.util.List;

/**
 * 题分组集合
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionGroupBean implements Serializable {

	private static final long serialVersionUID = 2149814711274942645L;

	/**
	 * 题组名称
	 */
	private String groupName;

	/**
	 * 题包装器集合<br>
	 */
	private List<DefaultQuestionStructureWrapperBean> questionWrapperList;

	/**
	 * 题组总分
	 */
	private Double groupScore;

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public List<DefaultQuestionStructureWrapperBean> getQuestionWrapperList() {
		return questionWrapperList;
	}

	public void setQuestionWrapperList(List<DefaultQuestionStructureWrapperBean> questionWrapperList) {
		this.questionWrapperList = questionWrapperList;
	}

	public Double getGroupScore() {
		return groupScore;
	}

	public void setGroupScore(Double groupScore) {
		this.groupScore = groupScore;
	}

}
