package cn.com.qmth.dp.examcloud.oe.modules.update_question_score.entity;

import java.io.Serializable;

/**
 * 题单元包装器
 *
 * @author WANGWEI
 * @date 2018年8月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionUnitWrapperBean implements Serializable {

	private static final long serialVersionUID = 7584275153456817959L;

	/**
	 * 选项排序值
	 */
	private Integer[] optionPermutation;

	/**
	 * 题分数
	 */
	private Double questionScore;

	/**
	 * 题型
	 */
	private String questionType;

	/**
	 * 作答类型
	 */
	private String answerType;

	public Integer[] getOptionPermutation() {
		return optionPermutation;
	}

	public void setOptionPermutation(Integer[] optionPermutation) {
		this.optionPermutation = optionPermutation;
	}

	public Double getQuestionScore() {
		return questionScore;
	}

	public void setQuestionScore(Double questionScore) {
		this.questionScore = questionScore;
	}

	public String getQuestionType() {
		return questionType;
	}

	public void setQuestionType(String questionType) {
		this.questionType = questionType;
	}

	public String getAnswerType() {
		return answerType;
	}

	public void setAnswerType(String answerType) {
		this.answerType = answerType;
	}
}
